package com.bocloud.ims.interfaces.resource;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.VpnConn;

/**
 * vpn站点连接
 *
 * @author Administrator
 */
public interface VpnConnService {
	/**
	 * 列表展示
	 *
	 * @param pager
	 * @param user
	 * @return
	 */
	public BocloudResult<GridBean<VpnConn>> list(Pager pager, RequestContext context);

	/**
	 * 创建
	 *
	 * @param params
	 * @param user
	 * @return
	 */
	public BocloudResult<String> create(VpnConn vpnConn, RequestContext context);

	/**
	 * 删除
	 *
	 * @param id
	 * @param user
	 * @return
	 */
	public BocloudResult<String> remove(Long id, RequestContext context);

	/**
	 * 详情
	 *
	 * @param id
	 * @return
	 */
	public BocloudResult<VpnConn> detail(Long id);

	/**
	 * modify
	 *
	 * @param vpnConn
	 * @param context
	 * @return
	 */
	BocloudResult<String> modify(VpnConn vpnConn, RequestContext context);

	/**
	 * 带验证码删除vpn conn
	 *
	 * @param params
	 * @param user
	 * @return
	 */
	public BocloudResult<String> removeVpnConn(String params, RequestContext context);

}
